# class Treetop::Runtime::TerminalParseFailure

### Attributes

expected_string[R]
index[R]

### Public Class Methods

new(index, expected_string) click to toggle source

    # File lib/treetop/runtime/terminal_parse_failure.rb, line 6
    def initialize(index, expected_string)
      @index = index
      @expected_string = expected_string
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/treetop/runtime/terminal_parse_failure.rb, line 11
    def to_s
      "String matching #{expected_string} expected."
    end